import numpy as np


def get_param_count(model):
    params = list(model.parameters())
    result = 0
    for param in params:
        count_param = np.prod(param.size())  # size[0] * size[1] ...
        result += count_param
    return result
